openhtj2k::QuantizerOpenHTJ2K Struct Reference

`#include <QuantizerOpenHTJ2K.h>`

Inheritance diagram for openhtj2k::QuantizerOpenHTJ2K:

## Public Member Functions

| QuantizerOpenHTJ2K (bool reversible, uint8_t guard_bits)
void | generate (uint32_t decomps, uint32_t max_bit_depth, bool color_transform, bool is_signed) override
bool | write (grk::BufferedStream *stream) override
Public Member Functions inherited from grk::Quantizer
| Quantizer (bool reversible, uint8_t guard_bits)
virtual | ~Quantizer ()=default
void | pull (grk_stepsize *stepptr)
| Note:
void | push (grk_stepsize *stepptr)

## Private Member Functions

uint32_t | get_MAGBp () const
void | set_rev_quant (uint32_t bit_depth, bool is_employing_color_transform)
void | set_irrev_quant ()

## Private Attributes

float | base_delta

## Additional Inherited Members

Protected Member Functions inherited from grk::Quantizer
uint32_t | get_num_guard_bits () const
Protected Attributes inherited from grk::Quantizer
uint8_t | Sqcd
union { |
uint8_t u8_SPqcd [97] |
uint16_t u16_SPqcd [97] |
}; |  |
uint32_t | num_decomps
bool | isReversible

## Constructor & Destructor Documentation

## QuantizerOpenHTJ2K()

openhtj2k::QuantizerOpenHTJ2K::QuantizerOpenHTJ2K | ( | bool | reversible,
|  | uint8_t | guard_bits
| ) |  |

## Member Function Documentation

## generate()

void openhtj2k::QuantizerOpenHTJ2K::generate | ( | uint32_t | decomps,
|  | uint32_t | max_bit_depth,
|  | bool | color_transform,
|  | bool | is_signed
| ) |  |

override virtual

Reimplemented from grk::Quantizer.

References base_delta, grk::Quantizer::isReversible, grk::Quantizer::num_decomps, set_irrev_quant(), and set_rev_quant().

## get_MAGBp()

uint32_t openhtj2k::QuantizerOpenHTJ2K::get_MAGBp | ( |  | ) | const

private

References grk::Quantizer::get_num_guard_bits(), grk::Quantizer::num_decomps, grk::Quantizer::Sqcd, grk::Quantizer::u16_SPqcd, and grk::Quantizer::u8_SPqcd.

Referenced by write().

## set_irrev_quant()

void openhtj2k::QuantizerOpenHTJ2K::set_irrev_quant | ( |  | ) |

private

References base_delta, openhtj2k::sqrt_energy_gains::get_gain_h(), openhtj2k::sqrt_energy_gains::get_gain_l(), grk::Quantizer::num_decomps, and grk::Quantizer::u16_SPqcd.

Referenced by generate().

## set_rev_quant()

void openhtj2k::QuantizerOpenHTJ2K::set_rev_quant | ( | uint32_t | bit_depth,
|  | bool | is_employing_color_transform
| ) |  |

private

References openhtj2k::bibo_gains::get_bibo_gain_h(), openhtj2k::bibo_gains::get_bibo_gain_l(), grk::Quantizer::num_decomps, and grk::Quantizer::u8_SPqcd.

Referenced by generate().

## write()

bool openhtj2k::QuantizerOpenHTJ2K::write | ( | grk::BufferedStream * | stream | ) |

override virtual

Reimplemented from grk::Quantizer.

References get_MAGBp(), grk::Quantizer::isReversible, grk::J2K_MS_CAP, grk::BufferedStream::writeInt(), and grk::BufferedStream::writeShort().

## Member Data Documentation

## base_delta

float openhtj2k::QuantizerOpenHTJ2K::base_delta

private

Referenced by generate(), and set_irrev_quant().

The documentation for this struct was generated from the following files:

- QuantizerOpenHTJ2K.h
- QuantizerOpenHTJ2K.cpp